<?php
require_once 'calendar.class.php';
require_once 'user_validate.php';
require_once 'helper.php';

valid_user();

include_once 'config.inc.php';

if (! defined($_SESSION['__ROOT__']) && empty($_SESSION['__ROOT__'])) {
    session_destroy();
    header('Location: ' . WEB_ROOT . 'error.html');
    exit;
}
$calendars = $_SESSION['user_settings']->getCalendars();
$query = construct_URL($_SERVER['QUERY_STRING'],
		array('etag', 'referer', 'cal'));
//print_r(urldecode($query['referer']));
//exit;
$url = $query['referer'].'?';
foreach ($query as $key => $value) {
    if (strcasecmp($key, 'referer') === 0)
        continue;
    if ($url[strlen($url) - 1] == '?')
        $url .= "$key=$value";
    else
        $url .= "&$key=$value";
}
if ($url[strlen($url) - 1] == '?')
    $url = substr($url, 0, -1);
header('Location: ' . urldecode($url));
exit;
?>