<?php
/* $Id: show_month.php 132 2011-03-09 20:42:39Z mir $ */
require_once 'config.inc.php';
require_once 'user_validate.php';
require_once 'helper.php';

valid_user();

if (! defined($_SESSION['__ROOT__']) && empty($_SESSION['__ROOT__'])) {
    session_destroy();
    header('Location: ' . WEB_ROOT . 'error.html');
    exit;
}

if (isset($_SESSION['authenticate']) && $_SESSION['authenticate']->validUser()) {
    $view_style = ($_SESSION['user_settings']->getViewStyle()) ?
        $_SESSION['user_settings']->getViewStyle() : VIEW_STYLE;
    $week_start_sunday = ($_SESSION['user_settings']->getStartWeek() !== NULL) ?
        $_SESSION['user_settings']->getStartWeek() : WEEK_START_SUNDAY;
    $start_hour = ($_SESSION['user_settings']->getStartHour() != NULL) ?
        (int) $_SESSION['user_settings']->getStartHour() : START_HOUR;
    $end_hour = ($_SESSION['user_settings']->getEndHour() != NULL) ?
        (int) $_SESSION['user_settings']->getEndHour() : END_HOUR;
}

$pwd = WEB_ROOT;
if ($pwd[strlen($pwd)-1] == '/')
    $pwd = substr($pwd, 0, -1);

include TOP_FOLDER.'/include/header.inc.php';
include TOP_FOLDER.'/include/menu.inc.php';
include TOP_FOLDER.'/templates/view.class.php';
$pageView = new PageView($pwd, $start_hour, $end_hour, $week_start_sunday);
$month = $pageView->createView(PageView::MONTH);

if (isset($_GET['year']) && isset($_GET['month'])) {
    $calendar = $month->getView($_GET['year'], $_GET['month']);
}
else {
    $calendar = $month->getView();
}
print "<div id=\"ui\">$calendar</div>";
include TOP_FOLDER.'/include/footer.inc.php';

?>
