<?php
/* $Id: logout.php 148 2011-03-22 00:17:30Z mir $ */
require_once 'config.inc.php';
require_once 'authenticate.php';
require_once 'helper.php';

$root = WEB_ROOT;

/* $_SESSION['caldav_server']->save(); */
if (isset($_SESSION['authenticate']) && is_object($_SESSION['authenticate']))
    $_SESSION['authenticate']->logout();

setcookie('WEBCAL_EXPIRE', '', time()-3600, $_SESSION['WEB_ROOT']);

// Unset all of the session variables.
$_SESSION = array();

if (ini_get("session.use_cookies")) {
    $params = session_get_cookie_params();
    setcookie(session_name(), '', time() - 42000,
        $params["path"], $params["domain"],
        $params["secure"], $params["httponly"]
    );
}

// Finally, destroy the session.
session_destroy();
session_write_close();
session_unset();

header("Location: " . getServerUrl($root) . "/index.php");
exit;
?>